Spark activation doesn't work


Sometimes, Spark is activated from the Arturia Software Center, but still asks for an activation code.

If you bought SparkLE, you probably installed from the DVD included in the box.

The DVD contains Spark 1.7, which is an outdated version of Spark2.

Unfortunately this version can't be activated by the Arturia Software Center.

To activate it, you must update to Spark2, or directly install Spark2 from:


Once up to date, the activation will succeed !!!